/****************************************************************************************************
           DOSEXAM.C -- example of graphic mode menu usage

           (c) Copyright 1990 - 1994, SoftCraft, Inc.
           All rights reserved.

06/14/94  --  released  

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
You must register to use the library for  commercial use or any other program to be 
distributed.  Registration information is in the REGISTER.DOC file or call SoftCraft, Inc.
708-360-0073.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
****************************************************************************************************/
           
#include <graph.h>
#include <stdio.h>
#include <conio.h>
#include "def.h"
#include "gr-menu.h"

char *draw_menu_items[] = {                                      /* setup titles for menu options*/
    "Line",                                                                  /* capital letters are hot keys   */
    "Circle",
    "Rectangle",
    "Polycurve",
    "poinT",
    "Arc",
    "Quit"};
    
char *kb_draw_menu    = "lcrptaq";                              /* setup hot keys, program will sense case */

/******************************************/
/* main function for executing menu */
/******************************************/  
short draw_menu(void)
{                             
  int KEY;
  struct MENU draw_menu;
  long imsize;

  draw_menu.st_row = 10;                                        /* sets starting row,  in pixels*/
  draw_menu.st_col = 30;                                         /* sets starting column, in pixels,  for vertical menu, overridden for horizontal menu */
  draw_menu.shadow = SHADOW;                            /* sets shadow option, SHADOW -- NO_SHADOW */
  draw_menu.noel = 7;                                              /* number of elements in options list */
  draw_menu.horv = VERT;                                        /* sets orientation of menu, HORZ (horizontal) -- VERT (vertical) */
  draw_menu.border = BORDER;                         /* sets border option, BORDER -- NO_BORDER */
  draw_menu.ele_width = 9;                                       /* maximum number of character in any option */
  draw_menu.justify = LEFT;                                       /* sets justification for text in vertical menu, LEFT, RIGHT, CENTER */
  draw_menu.border_color = 15;                                  /* sets foreground color for border */
  draw_menu.bk_color = 2;                                         /* sets background color for main menu */
  draw_menu.fore_color = 1;                                        /* sets main text color for menu options */
  draw_menu.sel_bk_color = 0;                                    /* sets background color for current selection */
  draw_menu.sel_fore_color = 14;                                 /* sets text color for current selection  */
  draw_menu.title_fore = 12;                                         /* sets text color for title */
  draw_menu.title_bk = 7;                                             /* sets background color for title */
  draw_menu.shadow_color = 13;                                  /* set the color for the shadow */
  draw_menu.mouse_pre = MOUSE_PRE;                     /* indicates presence of mouse, NO_MOUSE -- MOUSE_PRE (mouse present) */
  draw_menu.mouse_button = MOUSE_BUTTON_LEFT; /* indicates which mouse button is active, MOUSE_BUTTON_LEFT -- MOUSE_BUTTON_RIGHT */
  draw_menu.mouse_sens_x = 1;                                  /* indicates mouse x axis sensitivity in mikeys */
  draw_menu.mouse_sens_y = 1;                                  /* indicates mouse y axis sensitivity in mikeys */
  draw_menu.title = "Example";                                     /* string represents title for menu, if null will not display, should not be larger than .ele_width */
/*  draw_menu.title = "";*/
  draw_menu.kb_sel = kb_draw_menu;                          /* pointer to hot keys for menu selections */
  draw_menu.sel = draw_menu_items;                           /* pointer to menu selection titles */
  imsize = save_image(&draw_menu);                            /* saves underlying image and returns buffer size */
  KEY = get_menu_key(&draw_menu,0,6);                     /* gets the menu selection, min = 0, max = 6 -- first key will always be 0 */
  /******************************************************
     add code here to execute your selection
     first title will be 0,
     last title will be noel - 1
  *******************************************************/   
  restore_image(&draw_menu,imsize);                           /* restores underlying image to screen */
  return(KEY);                                                              /* demo simply returns the selection */
}

void main(void)
{    
  short action;
  
  setup_fonts("c:\\msvc\\bin\\","t'courier'h9w8b");             /* sets font to be used */
  _setvideomode(_ERESCOLOR);                                  /* set video mode to EGA color*/
  action = draw_menu();                                               /* get menu selection */
  _settextposition(2,10);
  printf("action type = %d",action);                                  /* show menu selection on screen */ 
  getch();                                                                      /* pause program */
  _setvideomode (_DEFAULTMODE);                             /* return to videomode used before program started */ 
}  